| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "referenceMod.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (12 global), complexTypes (12), element groups (1)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/referenceMod.xsd; see XML source
Imports Schemas (2):
ditaarch.xsd [src], xml.xsd [src]
Redefined in Schemas (1):
ditabase.xsd [src]

All Element Summary
propdesc |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of propdesc.class)
Content: | mixed, 18 attributes, 48 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <propdesc> element is used to provide a short description of the property type and its listed values (or just the value).
propdeschd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of propdeschd.class)
Content: | mixed, 18 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
properties |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of properties.class)
Content: | complex, 24 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <properties> element gives a list of properties for the subject of the current topic, for example whether a class is public or protected. »
property |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of property.class)
Content: | complex, 17 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <property> element represents a property of the current topic's subject. »
prophead |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of prophead.class)
Content: | complex, 17 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The prophead element supports regular headings for the properties element.
proptype |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of proptype.class)
Content: | mixed, 18 attributes, 40 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The proptype element describes the type of property.
proptypehd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of proptypehd.class)
Content: | mixed, 18 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
propvalue |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of propvalue.class)
Content: | mixed, 18 attributes, 40 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <propvalue> element indicates the value or values for the current property type. »
propvaluehd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of propvaluehd.class)
Content: | mixed, 18 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
refbody |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of refbody.class)
Content: | complex, 10 attributes, 10 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <refbody> element is a container for the main content of the reference topic. »
reference |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of reference.class)
Content: | complex, 20 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The <reference> element defines a top-level container for a reference topic. »
refsyn |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of refsyn.class)
Content: | mixed, 18 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <refsyn> element is a special section inside a reference topic. »

Complex Type Summary
propdesc.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 48 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
propdeschd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
properties.class |
Namespace: | {no namespace}
Content: | complex, 23 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declarations of 5 attributes
Referenced: | by 1 location
property.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
prophead.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
proptype.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 40 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
proptypehd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
propvalue.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 40 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
propvaluehd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
refbody.class |
Namespace: | {no namespace}
Content: | complex, 9 attributes, 10 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
reference.class (ver 1) |
Namespace: | {no namespace}
Content: | complex, 18 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declarations of 4 attributes
Redefined: | with reference.class in ditabase.xsd
Referenced: | by 1 location
refsyn.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location

Element Group Summary
reference-info-types (ver 1) |
Namespace: | {no namespace}
Content: | 6 elements
Defined: | globally; see XML source
Redefined: | with reference-info-types in ditabase.xsd
Referenced: | never

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.